cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dean Le (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CB-11164) Updating plugin dependencies
Date Fri, 06 May 2016 19:27:12 GMT

    [ https://issues.apache.org/jira/browse/CB-11164?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15274601#comment-15274601
] 

Dean Le commented on CB-11164:
------------------------------

Yes, that was what I said in the first post. Can't remove this that, can't update anything.
But I think install them as new would be fine.

> Updating plugin dependencies
> ----------------------------
>
>                 Key: CB-11164
>                 URL: https://issues.apache.org/jira/browse/CB-11164
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: CLI
>    Affects Versions: 6.1.0
>         Environment: cordova CLI
>            Reporter: Dean Le
>            Priority: Minor
>              Labels: triaged, wfc
>   Original Estimate: 24h
>  Remaining Estimate: 24h
>
> When we got a list of updated plugins, I can't update cordova-plugin-file. It keeps looping
in the between plugins below saying that "You can't remove because this plugin... is required
for other plugin...." even with -f or --force option.
> We can only update plugins by add/remove command though. I thought it's developer responsibility
to know which plugins for what. Or at least a warning message (it does warn) but allow the
plugin to be removed and re-added.
> ---------------------------
> cordova-plugin-camera
> cordova-plugin-file
> cordova-plugin-media
> cordova-plugin-compat



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@cordova.apache.org
For additional commands, e-mail: issues-help@cordova.apache.org


Mime
View raw message